### Hierarchy

- unknown
  - SignedOfferList

## Index

### Constructors

- constructor

### Methods

- addSignedOffer
- clearSignedOfferList
- getSignedOfferList
- serializeBinary
- setSignedOfferList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignedOfferList(): SignedOfferList

- Inherited from jspb.Message.constructor

  #### Returns SignedOfferList

## Methods

### addSignedOffer

- addSignedOffer(value?: SignedOffer, index?: number): SignedOffer

- - Defined in src/protobuf/pb_pb.d.ts:6484

  #### Parameters

  - ##### Optional value: SignedOffer

  - ##### Optional index: number

  #### Returns SignedOffer

### clearSignedOfferList

- clearSignedOfferList(): SignedOfferList

- - Defined in src/protobuf/pb_pb.d.ts:6483

  #### Returns SignedOfferList

### getSignedOfferList

- getSignedOfferList(): SignedOffer []

- - Defined in src/protobuf/pb_pb.d.ts:6481

  #### Returns SignedOffer []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6486

  #### Returns Uint8Array

### setSignedOfferList

- setSignedOfferList(value: SignedOffer []): SignedOfferList

- - Defined in src/protobuf/pb_pb.d.ts:6482

  #### Parameters

  - ##### value: SignedOffer []

  #### Returns SignedOfferList

### toObject

- toObject(includeInstance?: boolean): SignedOfferList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6487

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignedOfferList . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedOfferList

- - Defined in src/protobuf/pb_pb.d.ts:6490

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedOfferList

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedOfferList, reader: BinaryReader): SignedOfferList

- - Defined in src/protobuf/pb_pb.d.ts:6491

  #### Parameters

  - ##### message: SignedOfferList

  - ##### reader: BinaryReader

  #### Returns SignedOfferList

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedOfferList, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6489

  #### Parameters

  - ##### message: SignedOfferList

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignedOfferList ): SignedOfferList . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6488

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedOfferList

  #### Returns SignedOfferList . AsObject

Generated using TypeDoc